Package org.gradle.plugins.javascript.envjs.browser

## Class BrowserEvaluate

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.plugins.javascript.envjs.browser.BrowserEvaluate

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      public class BrowserEvaluate
      extends DefaultTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BrowserEvaluate()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getContent()` |
    `BrowserEvaluator` | `getEvaluator()` |
    `String` | `getResource()` |
    `File` | `getResult()` |
    `void` | `setContent​(File content)` | Sets content.
    `void` | `setContent​(Object content)` |
    `void` | `setEvaluator​(BrowserEvaluator evaluator)` |
    `void` | `setResource​(Object resource)` |
    `void` | `setResource​(String resource)` | Sets resource.
    `void` | `setResult​(File result)` | Sets result.
    `void` | `setResult​(Object result)` |

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, setImpliesSubProjects, setLoggerMessageRewriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `getConvention`

- - ### Constructor Detail

    - #### BrowserEvaluate

          public BrowserEvaluate()

  - ### Method Detail

    - #### getContent

          @InputDirectory
          @PathSensitive(NAME_ONLY)
          public File getContent()

    - #### setContent

          public void setContent​(File content)

      Sets content.
      Since:
        4.0

    - #### setContent

          public void setContent​(Object content)

    - #### getResource

          @Input
          public String getResource()

    - #### setResource

          public void setResource​(String resource)

      Sets resource.
      Since:
        4.0

    - #### setResource

          public void setResource​(Object resource)

    - #### getEvaluator

          @Internal
          public BrowserEvaluator getEvaluator()

    - #### setEvaluator

          public void setEvaluator​(BrowserEvaluator evaluator)

    - #### getResult

          @OutputFile
          public File getResult()

    - #### setResult

          public void setResult​(File result)

      Sets result.
      Since:
        4.0

    - #### setResult

          public void setResult​(Object result)